// Controllerd MOTOR function test program
// T. Braunl, UWA 2024
#include "eyebot.h"

void mot_check(int m1, int m2, char mes[])
{ LCDClear();
  LCDPrintf("%s", mes);
  MOTORSpeed(1, m1);
  MOTORSpeed(2, m2);
  OSWait(4000); // 4 sec
}


int main()
{ 
  mot_check( 250, 250, "Straight forward");  // ticks per second
  mot_check(-250,-250, "Straight back");

  mot_check(-200, 200, "Turn left");
  mot_check( 200,-200, "Turn right");

  mot_check( 150, 300, "Curve left");
  mot_check( 300, 150, "Curve right");

  MOTORDrive(1, 0);  // stop
  MOTORDrive(2, 0);
}
